# Class: RangeThemeInfo

## RangeThemeInfo()

#### new RangeThemeInfo()

范围专题图项信息

Source:
  - RangeThemeInfo.js, line 12

### Methods

#### (async, static) createObj() → {Promise.<RangeThemeInfo>}

创建一个新的RangeThemeInfo对象

Source:
  - RangeThemeInfo.js, line 35

##### Returns:

Type
  Promise.<RangeThemeInfo>

#### (async, static) getEndValue() → {String}

获取结束值

Source:
  - RangeThemeInfo.js, line 82

##### Returns:

Type
  String

#### (async, static) getStartValue() → {String}

获取开始值

Source:
  - RangeThemeInfo.js, line 52

##### Returns:

Type
  String

#### (async, static) setEndValue(endValue) → {Promise.<Void>}

设置结束值

##### Parameters:

Name | Type | Description
--- | --- | ---
`endValue` | String | 结束值

Source:
  - RangeThemeInfo.js, line 98

##### Returns:

Type
  Promise.<Void>

#### (async, static) setStartValue(startValue) → {Promise.<Void>}

设置开始值

##### Parameters:

Name | Type | Description
--- | --- | ---
`startValue` | String | 开始值

Source:
  - RangeThemeInfo.js, line 68

##### Returns:

Type
  Promise.<Void>